Create a collection from a list of DOIs or a search query
curl --request POST \
--url https://api.scite.ai/api_partner/collections/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"description": "",
"isPublic": false,
"isHidden": false,
"isSharedWithOrg": false,
"dois": [
"<string>"
],
"query": {
"term": "mitosis",
"mode": "all",
"limit": 10,
"offset": 0,
"sort": "total_supported",
"title": "Cellular",
"abstract": "Amygdala",
"doi": "10.1002/cepa.3344",
"dois": [],
"dateFrom": "<string>",
"dateTo": "2001-05-04",
"indexedFrom": "<string>",
"citationTypes": [],
"hasRetraction": true,
"hasConcern": true,
"hasCorrection": true,
"hasErratum": true,
"hasWithdrawn": true,
"hasTally": true,
"supportingFrom": 123,
"supportingTo": 1,
"mentioningFrom": 100,
"mentioningTo": 500,
"contrastingFrom": 5,
"contrastingTo": 123,
"citingPublicationsFrom": 5,
"citingPublicationsTo": 123,
"author": "Albert Einstein",
"authors": [],
"journal": "Nature",
"journals": [],
"publisher": "Elsevier",
"section": "<string>",
"sections": [],
"paperType": "<string>",
"paperTypes": [],
"affiliation": "Stanford University",
"affiliations": [],
"topic": "Diplomacy",
"topics": [],
"substances": [],
"meshType": [],
"dashboardSlug": "<string>",
"computeAggregations": false,
"aggregations": [
"authors",
"affiliations",
"paper_types",
"journals",
"editorial_notices",
"date_histogram_tally",
"topics",
"mesh_descriptors",
"substances",
"max_date",
"min_date"
],
"aggregationsOptions": ""
},
"enableDashboardCitationAlerts": false
}
'import requests
url = "https://api.scite.ai/api_partner/collections/create"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"description": "",
"isPublic": False,
"isHidden": False,
"isSharedWithOrg": False,
"dois": ["<string>"],
"query": {
"term": "mitosis",
"mode": "all",
"limit": 10,
"offset": 0,
"sort": "total_supported",
"title": "Cellular",
"abstract": "Amygdala",
"doi": "10.1002/cepa.3344",
"dois": [],
"dateFrom": "<string>",
"dateTo": "2001-05-04",
"indexedFrom": "<string>",
"citationTypes": [],
"hasRetraction": True,
"hasConcern": True,
"hasCorrection": True,
"hasErratum": True,
"hasWithdrawn": True,
"hasTally": True,
"supportingFrom": 123,
"supportingTo": 1,
"mentioningFrom": 100,
"mentioningTo": 500,
"contrastingFrom": 5,
"contrastingTo": 123,
"citingPublicationsFrom": 5,
"citingPublicationsTo": 123,
"author": "Albert Einstein",
"authors": [],
"journal": "Nature",
"journals": [],
"publisher": "Elsevier",
"section": "<string>",
"sections": [],
"paperType": "<string>",
"paperTypes": [],
"affiliation": "Stanford University",
"affiliations": [],
"topic": "Diplomacy",
"topics": [],
"substances": [],
"meshType": [],
"dashboardSlug": "<string>",
"computeAggregations": False,
"aggregations": ["authors", "affiliations", "paper_types", "journals", "editorial_notices", "date_histogram_tally", "topics", "mesh_descriptors", "substances", "max_date", "min_date"],
"aggregationsOptions": ""
},
"enableDashboardCitationAlerts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
description: '',
isPublic: false,
isHidden: false,
isSharedWithOrg: false,
dois: ['<string>'],
query: {
term: 'mitosis',
mode: 'all',
limit: 10,
offset: 0,
sort: 'total_supported',
title: 'Cellular',
abstract: 'Amygdala',
doi: '10.1002/cepa.3344',
dois: [],
dateFrom: '<string>',
dateTo: '2001-05-04',
indexedFrom: '<string>',
citationTypes: [],
hasRetraction: true,
hasConcern: true,
hasCorrection: true,
hasErratum: true,
hasWithdrawn: true,
hasTally: true,
supportingFrom: 123,
supportingTo: 1,
mentioningFrom: 100,
mentioningTo: 500,
contrastingFrom: 5,
contrastingTo: 123,
citingPublicationsFrom: 5,
citingPublicationsTo: 123,
author: 'Albert Einstein',
authors: [],
journal: 'Nature',
journals: [],
publisher: 'Elsevier',
section: '<string>',
sections: [],
paperType: '<string>',
paperTypes: [],
affiliation: 'Stanford University',
affiliations: [],
topic: 'Diplomacy',
topics: [],
substances: [],
meshType: [],
dashboardSlug: '<string>',
computeAggregations: false,
aggregations: [
'authors',
'affiliations',
'paper_types',
'journals',
'editorial_notices',
'date_histogram_tally',
'topics',
'mesh_descriptors',
'substances',
'max_date',
'min_date'
],
aggregationsOptions: ''
},
enableDashboardCitationAlerts: false
})
};
fetch('https://api.scite.ai/api_partner/collections/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"componentLayout": [
{
"components": [
{
"name": "<string>",
"_id": 123,
"width": 123
}
],
"_id": 123
}
],
"doiQuery": {
"query": {
"dois": [
"<string>"
]
}
},
"description": "",
"slug": "<string>",
"dashboardType": "<string>",
"isPublic": false,
"organizationSlug": "<string>",
"lastUpdated": "2023-12-25",
"doisUpdatedTS": "2023-11-07T05:31:56Z",
"doisRefreshedTS": "2023-11-07T05:31:56Z",
"refreshStatus": "-",
"accessType": "VIEWER",
"totalDoiCount": 0,
"matchedDoiCount": 0,
"unmatchedDoiCount": 0,
"unmatchedDois": [
"<unknown>"
],
"warning": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Collections
Create a collection from a list of DOIs or a search query
Either ‘dois’ or ‘query’ is required to create a dashboard. If both are provided, ‘query’ will be used.
POST
/
api_partner
/
collections
/
create
Create a collection from a list of DOIs or a search query
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Set to Bearer <token> to pass token for authorization.
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
